#include <iostream>
#include <algorithm>
#include <vector>
using namespace std;

struct jabuke
{
   double zarada;
   double porez;
};

bool bolji(jabuke a, jabuke b)
{
    return (a.porez > b.porez);
}

int main()
{
    int n, i;
    double drzava,maks,suma;
    maks=0.0;
    suma=0.0;
    cin>>n;
    vector <jabuke> t(n);
    
    for (i = 0; i < n; i++) 
        cin>>t[i].zarada>>t[i].porez;
    
    sort (t.begin(), t.end(), bolji);
     
    for (i = 0; i < n; i++) {
    	suma=suma+t[i].zarada;
    	drzava=suma*t[i].porez;
    	if(drzava>maks)maks=drzava;
    	
	}
	cout<<fixed<<maks/100;
		  
    
    return 0;
}